<?php	

function api_execute($apiurl,$postfields){

	$postfields = json_encode($postfields);

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $apiurl);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_TIMEOUT, 100);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
	$data = curl_exec($ch);
	if(curl_error($ch)){ 
		$res = "Connection Error: ".curl_errno($ch).' - '.curl_error($ch);
	}else{
		$res = json_decode($data,true);
	}
	curl_close($ch);
	
	return $res;
}


$apiurl = "https://crm.spango.com/api/api.php"; # CRM api URL

/* change below values if needed */
$username = ""; # CRM api username
$password = "";  # CRM password

$reseller = "";  # Product reseller name
$service = ""; # API service 

# Build the API call
$postfields = array(); 
$postfields["username"] = $username;
$postfields["password"] = $password;
$postfields["service"] = $service;
$postfields["reseller"] = $reseller;		
/* remove # for testmode */
#$postfields["testmode"] = "true"; 

/* change below task add values */
$postfields["task"] = "";
#$postfields["user"] = ""; 	
#$postfields["firstname"] = "";
#$postfields["lastname"] = "";
#$postfields["email"] = "";
#$postfields["planname"] = "";

#$postfields["year"] = "2013";
#$postfields["month"] = "01";


$res = api_execute($apiurl,$postfields);
if(!is_array($res)){
	echo $res;	
}elseif($res["result"] == "error"){
	foreach($res["params"] as $code => $error){
		echo $code." - ".$error."<br />";
	}
}else{
	#success array returned
	#echo "<pre>"; print_r($res); echo "</pre>";
}

?>